Bug 1728096 - xfce4-screensaver often fails to unlock after monitor power on
Summary: xfce4-screensaver often fails to unlock after monitor power on
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-screensaver
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-09 03:13 UTC by Paul DeStefano
Modified: 2020-05-26 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:43:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul DeStefano 2019-07-09 03:13:17 UTC
Description of problem:
Since changing to xfce4-screensaver from xscreensaver I have had several problems with the xfce4-screensaver not allowing me to unlock/login after lock.

When I test with CTRL-ALT-DEL to activate the screensaver, it seems to work, but when under normal circumstances, when I am gone for a while and have my monitor off, it often has problems.

When I return, I turn on the monitor and giggle the mouse.  If I see the unlock screen, I press ESC to return to the screensaver, which is popsquares, because I need to plug in my YubiKey.  I do that, and then giggle the mouse, but sometimes popsquares just keeps going.  I press several other keys, but nothing.  I don't know why this happens, but I wonder if it has to do with the Xfce time-out applet, which has usually timed out and locked the desktop for a break "behind" the screensaver.  Just a thought.

Version-Release number of selected component (if applicable):
xfce4-screensaver-0.1.5-1.fc30.x86_64

How reproducible:
Nearly always when I walk away and turn off the monitor for a while.  I assume it is not base on the time, per se, but maybe a combination of time-out lock and screensaver together?

Steps to Reproduce:
1. turn off monitor
2. let xfce Time Out applet time out to lock the desktop for a break
3. turn on monitor
4. giggle mouse
5. press ESC to back out of unlock
6. now, nothing you do will show the unlock screen, cannot login

Actual results:

screensaver does not stop and go to unlock screen

Expected results:

should show unlock screen

Additional info: I get these on STDOUT/STDERR, if it's useful.

(xfce4-screensaver:502490): GLib-GObject-WARNING **: 19:36:20.686: instance with invalid (NULL) class pointer                   
                                                                                                                                
(xfce4-screensaver:502490): GLib-GObject-CRITICAL **: 19:36:20.686: g_signal_handlers_disconnect_matched: assertion 'G_TYPE_CHE$
K_INSTANCE (instance)' failed
                                                                
(xfce4-screensaver:502490): GLib-GObject-WARNING **: 19:36:20.710: invalid unclassed pointer in cast to 'GtkWidget'

(xfce4-screensaver:502490): Gtk-CRITICAL **: 19:36:20.710: gtk_widget_set_sensitive: assertion 'GTK_IS_WIDGET (widget)' failed

Comment 1 Paul DeStefano 2019-07-10 02:54:25 UTC
Well, it has nothing to do with Time Out, because I disabled the break timer and still got exactly the same symptoms when I returned.

Also, I got a new symptom, today: when I giggled the mouse, popsquares went away and left a black screen, no unlock screen.  I don't think this is usable software.

Comment 2 Mukundan Ragavan 2019-07-10 08:39:24 UTC
I have been using xfce4-screensaver for a while now without problems although not with time-out plugin.

Can you try version 0.1.6 (in testing repo) and see if you can reproduce this issue?

Also, please test with just blank screen instead of popsquares and see if you can reproduce this issue.

Comment 3 Paul DeStefano 2019-07-15 03:38:55 UTC
Okay, I have a reliable reproducer.

* xfce4-screensaver goes into lock
* turn off monitor
* turn on monitor
* xfce4-screensaver is already showing the unlock prompt, even though you haven't touched any keys or the mouse.  (Probably some monitor event with ACPI?)
* press ESC (cancel)
* optional, plugin yubikey
* now, when you press any key or move mouse, nothing happens and you cannot access unlock prompt

The only way to access the unlock prompt now is to cycle monitor power, again, which works.

NOTE: this flow needs to work.  I *have* to press ESC first because I use YubiKey, and, I turn on the monitor before plugging in the YubiKey, so if I plug it in after initiating unlock, it will not work.  In other words, it doesn't matter if I cancel the first login attempt or not; the first one always fails because turning on the monitor initiates the unlock prompt but I haven't plugged in my YubiKey yet, so, auth fails.  (Perhaps if I put pam_yubikey.so after system-auth? In any case, the bug is confirmed for a code path that ostensibly should work.)

BTW, I have AMDGPU and freesync monitor.  Related?

Comment 4 Paul DeStefano 2019-07-15 15:10:09 UTC
Oh, also, popsquares is unrelated.  I tested the reproducer above with both popsquares and blank screen.

Comment 5 Fedora Update System 2019-08-15 22:31:28 UTC
FEDORA-2019-8b21f399ee has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 6 Fedora Update System 2019-08-17 01:27:26 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 7 Fedora Update System 2019-08-23 01:27:04 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Ben Cotton 2020-04-30 21:17:45 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2020-05-26 16:43:07 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.